%define major_version 2.10
%define evolution_version 2.9.2
%define api_version 1.2

Name:		evolution-exchange
Summary:	Exchange Connector for Evolution
Version: 2.10.2
%define subrel 1
Release: %mkrel 1
License: 	GPL
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL: 		http://www.ximian.com/products/ximian_evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# (fc) 0.8-5mdk implicit dependency is not enough
Requires: evolution >= %{evolution_version}
BuildRequires: evolution-devel >= %{evolution_version}
BuildRequires: evolution-data-server-devel >= 1.9.6
BuildRequires: db4.2-devel
BuildRequires: openldap-devel 
BuildRequires: krb5-devel
BuildRequires: libgnomeprintui-devel
BuildRequires: libgtkhtml-3.14-devel
BuildRequires: perl-XML-Parser
BuildRequires: automake1.9
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: libmono-devel
Obsoletes: ximian-connector
Provides: ximian-connector

%description
This package is a connector to allow access to Exchange server 
for Evolution.

Currently, only Exchange 2000 and 2003 are supported.

%prep
%setup -q 

#fix build 
intltoolize --force
aclocal-1.9
automake-1.9
autoconf

%build

%configure2_5x --with-openldap=yes --with-static-ldap=no \
--with-krb5=%{_prefix} --with-krb5-libs=%{_libdir}

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std


#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-%{api_version}/camel-providers/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/evolution-mail-importers/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/evolution-calendar-importers/*.{a,la}

%{find_lang} %{name}-%{major_version} --with-gnome

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas apps_exchange_addressbook-2.10

%preun
%preun_uninstall_gconf_schemas apps_exchange_addressbook-2.10

%files -f %{name}-%{major_version}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_sysconfdir/gconf/schemas/apps_exchange_addressbook-2.10.schemas
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/evolution/%{major_version}/evolution-exchange-storage
%{_libdir}/evolution-data-server-%{api_version}/camel-providers/*.so
%{_libdir}/evolution-data-server-%{api_version}/camel-providers/*.urls
%{_datadir}/gtk-doc/html/ximian-connector
%{_datadir}/evolution-exchange


%changelog
* Thu Jun 14 2007 Vincent Danen <vdanen@mandriva.com> 2.10.2-1.1mdv2007.1
- build for updates

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdv2008.0
+ Revision: 32141
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdv2008.0
+ Revision: 14051
- new version


* Wed Mar 14 2007 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdv2007.1
+ Revision: 143548
- fix buildrequires
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.9.92-1mdv2007.1
+ Revision: 126040
- new version

* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 2.9.91-1mdv2007.1
+ Revision: 121317
- fix buildrequires
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.9.6-1mdv2007.1
+ Revision: 112250
- fix buildrequires
- new version
- bump deps

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.9.4-1mdv2007.1
+ Revision: 99164
- new version
- bump deps

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.9.3-1mdv2007.1
+ Revision: 91001
- new version
- drop patch
- bump deps
- add gconf schema

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.8.2-2mdv2007.1
+ Revision: 89466
- rebuild
- Import evolution-exchange

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdv2007.1
- fix build with new evolution
- New version 2.8.2

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdv2007.0
- Release 2.8.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.92-1mdv2007.0
- Release 2.7.92
- Remove source1, no longer needed

* Wed Aug 09 2006 Jerome Soyer <saispo@mandriva.org> 2.7.91-1mdv2007.0
- Release 2.7.91

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.90-1mdv2007.0
- Release 2.7.90

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.4-2mdv2007.0
- Rebuild with latest libgail

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.4-1mdv2007.0
- Releasse 2.7.4

* Thu Jun 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.3-1mdv2007.0
- Release 2.7.3
- Add source1 : missing po file from upstream tarball

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.2-1mdv2007.0
- Release 2.7.2

* Sun Apr 23 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.1-2mdk
- buildrequires: automake1.9, add libmono-devel

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.1-1mdk
- Release 2.6.1

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-2mdk
- Use mkrel

* Tue Nov 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-1mdk
- Release 2.4.2

* Fri Oct 14 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.1-2mdk
- add BuildRequires: libgnomeprint-devel libgtkhtml-3.8-devel

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-1mdk
- Release 2.4.1
- Renamed evolution-exchange

* Mon Sep 05 2005 Michael Scherer <misc@mandriva.org> 2.2.3-2mdk
- Rebuild to avoid libglitz deps

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-1mdk 
- Release 2.2.3

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-6mdk
- rebuilt against new openldap-2.3.6 libs

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 2.2.2-5mdk
- rebuilt without krb4 support

* Sat Jun 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.2-4mdk
- Rebuild for libkrb53-devel 1.4.1

* Sun May 29 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.2-3mdk
- add BuildRequires: intltool gnome-common

* Tue May 10 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-2mdk 
- Fix build on x86-64

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-1mdk 
- Release 2.2.2

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk 
- Release 2.0.4

* Wed Jan 12 2005 Michael Scherer <misc@mandrake.org> 2.0.3-3mdk
- add the supported iExchange version in description

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk 
- Rebuild with latest howl

* Tue Dec 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- New release 2.0.3
- Remove patch 0 (merged upstream)

* Tue Oct 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch0: initialize i18n correctly

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-1mdk
- Release 1.5.94.1

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-2mdk
- Rebuild with latest libsoup

* Sat Aug 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-1mdk
- Release 1.5.93
- Remove patch0 (merged upstream)

* Sat Aug 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.92-3mdk
- Patch0 (CVS): fix build with Evolution 1.5.93
- Rebuild with latest libsoup

* Tue Aug 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.92-2mdk
- Relax dependencies a little

* Wed Aug 04 2004 Frederic Crozat <fcrozat@mandrakesofto.com> 1.5.92-1mdk
- Release 1.5.92

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.91-2mdk
- fix BuildRequires

* Wed Jul 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.91-1mdk
- New release 1.5.91

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.90-1mdk
- Release 1.5.90
- Fix description
- Clean specfile
- Drop patch 0

* Mon Jun 21 2004 Luca Berra <bluca@vodka.it> 1.5.9-1mdk 
- 1.5.9

* Wed May 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.7-1mdk
- Initial Mdk package

